2003-10-25 18:27:24 +02:00
# Makefile for PO directory in any package using GNU gettext.
2008-02-15 10:58:01 +01:00
# Copyright (C) 1995-1997, 2000-2007 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
1998-01-26 23:09:01 +01:00
#
2003-10-25 18:27:24 +02:00
# This file can be copied and used freely without restrictions. It can
# be used in projects which are not available under the GNU General Public
# License but which still want to provide support for the GNU gettext
# functionality.
# Please note that the actual code of GNU gettext is covered by the GNU
# General Public License and is *not* in the public domain.
2004-07-27 17:12:00 +02:00
#
2008-02-15 10:58:01 +01:00
# Origin: gettext-0.17
GETTEXT_MACRO_VERSION = 0.17
1998-01-26 23:09:01 +01:00
PACKAGE = @PACKAGE@
VERSION = @VERSION@
2006-11-21 12:00:14 +01:00
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
1998-01-26 23:09:01 +01:00
SHELL = /bin/sh
@ S E T _ M A K E @
srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@
2006-11-21 12:00:14 +01:00
datarootdir = @datarootdir@
2002-06-29 15:46:34 +02:00
datadir = @datadir@
2006-11-21 12:00:14 +01:00
localedir = @localedir@
2002-06-29 15:46:34 +02:00
gettextsrcdir = $( datadir) /gettext/po
1998-01-26 23:09:01 +01:00
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
2007-05-07 21:49:12 +02:00
# We use $(mkdir_p).
# In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
# "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
# @install_sh@ does not start with $(SHELL), so we add it.
# In automake >= 1.10, @mkdir_p@ is derived from ${MKDIR_P}, which is defined
# either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
# versions, $(mkinstalldirs) and $(install_sh) are unused.
2006-11-21 12:00:14 +01:00
mkinstalldirs = $( SHELL) @install_sh@ -d
2007-05-07 21:49:12 +02:00
install_sh = $( SHELL) @install_sh@
MKDIR_P = @MKDIR_P@
2006-11-21 12:00:14 +01:00
mkdir_p = @mkdir_p@
GMSGFMT_ = @GMSGFMT@
GMSGFMT_no = @GMSGFMT@
GMSGFMT_yes = @GMSGFMT_015@
GMSGFMT = $( GMSGFMT_$( USE_MSGCTXT) )
MSGFMT_ = @MSGFMT@
MSGFMT_no = @MSGFMT@
MSGFMT_yes = @MSGFMT_015@
MSGFMT = $( MSGFMT_$( USE_MSGCTXT) )
XGETTEXT_ = @XGETTEXT@
XGETTEXT_no = @XGETTEXT@
XGETTEXT_yes = @XGETTEXT_015@
XGETTEXT = $( XGETTEXT_$( USE_MSGCTXT) )
2012-08-22 18:54:36 +02:00
MSGMERGE = msgmerge --previous
MSGMERGE_UPDATE = @MSGMERGE@ --previous --update
2003-10-25 18:27:24 +02:00
MSGINIT = msginit
MSGCONV = msgconv
MSGFILTER = msgfilter
1998-01-26 23:09:01 +01:00
POFILES = @POFILES@
GMOFILES = @GMOFILES@
2003-10-25 18:27:24 +02:00
UPDATEPOFILES = @UPDATEPOFILES@
DUMMYPOFILES = @DUMMYPOFILES@
DISTFILES.common = Makefile.in.in remove-potcdate.sin \
$( DISTFILES .common .extra 1) $( DISTFILES .common .extra 2) $( DISTFILES .common .extra 3)
2006-11-21 12:00:14 +01:00
DISTFILES = $( DISTFILES.common) Makevars POTFILES.in \
2003-10-25 18:27:24 +02:00
$( POFILES ) $( GMOFILES ) \
$( DISTFILES .extra 1) $( DISTFILES .extra 2) $( DISTFILES .extra 3)
1998-01-26 23:09:01 +01:00
POTFILES = \
CATALOGS = @CATALOGS@
2003-10-25 18:27:24 +02:00
# Makevars gets inserted here. (Don't remove this line!)
1998-01-26 23:09:01 +01:00
2003-10-25 18:27:24 +02:00
.SUFFIXES :
2004-07-27 17:12:00 +02:00
.SUFFIXES : .po .gmo .mo .sed .sin .nop .po -create .po -update
1998-01-26 23:09:01 +01:00
.po.mo :
2003-10-25 18:27:24 +02:00
@echo " $( MSGFMT) -c -o $@ $< " ; \
$( MSGFMT) -c -o t-$@ $< && mv t-$@ $@
1998-01-26 23:09:01 +01:00
.po.gmo :
2003-10-25 18:27:24 +02:00
@lang= ` echo $* | sed -e 's,.*/,,' ` ; \
test " $( srcdir) " = . && cdcmd = "" || cdcmd = " cd $( srcdir) && " ; \
echo " $$ {cdcmd}rm -f $$ {lang}.gmo && $( GMSGFMT) -c --statistics -o $$ {lang}.gmo $$ {lang}.po " ; \
cd $( srcdir) && rm -f $$ { lang} .gmo && $( GMSGFMT) -c --statistics -o t-$$ { lang} .gmo $$ { lang} .po && mv t-$$ { lang} .gmo $$ { lang} .gmo
.sin.sed :
sed -e '/^#/d' $< > t-$@
mv t-$@ $@
1998-01-26 23:09:01 +01:00
2008-02-15 10:58:01 +01:00
all : check -macro -version all -@USE_NLS @
1998-02-26 17:56:31 +01:00
2003-10-25 18:27:24 +02:00
all-yes : stamp -po
1998-02-26 17:56:31 +01:00
all-no :
1998-01-26 23:09:01 +01:00
2008-02-15 10:58:01 +01:00
# Ensure that the gettext macros and this Makefile.in.in are in sync.
check-macro-version :
@test " $( GETTEXT_MACRO_VERSION) " = "@GETTEXT_MACRO_VERSION@" \
|| { echo " *** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $( GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version @GETTEXT_MACRO_VERSION@ " 1>& 2; \
exit 1; \
}
2006-11-21 12:00:14 +01:00
# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
# we don't want to bother translators with empty POT files). We assume that
# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
# In this case, stamp-po is a nop (i.e. a phony target).
2003-10-25 18:27:24 +02:00
# stamp-po is a timestamp denoting the last time at which the CATALOGS have
# been loosely updated. Its purpose is that when a developer or translator
# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
# invocations of "make" will do nothing. This timestamp would not be necessary
# if updating the $(CATALOGS) would always touch them; however, the rule for
# $(POFILES) has been designed to not touch files that don't need to be
# changed.
stamp-po : $( srcdir ) /$( DOMAIN ) .pot
2006-11-21 12:00:14 +01:00
test ! -f $( srcdir) /$( DOMAIN) .pot || \
test -z " $( GMOFILES) " || $( MAKE) $( GMOFILES)
@test ! -f $( srcdir) /$( DOMAIN) .pot || { \
echo "touch stamp-po" && \
echo timestamp > stamp-poT && \
mv stamp-poT stamp-po; \
}
2003-10-25 18:27:24 +02:00
# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
2002-06-29 15:46:34 +02:00
# otherwise packages like GCC can not be built if only parts of the source
# have been downloaded.
2003-10-25 18:27:24 +02:00
# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
$(DOMAIN).pot-update : $( POTFILES ) $( srcdir ) /POTFILES .in remove -potcdate .sed
2008-02-15 10:58:01 +01:00
if LC_ALL = C grep 'GNU @PACKAGE@' $( top_srcdir) /* 2>/dev/null | grep -v 'libtool:' >/dev/null; then \
package_gnu = 'GNU ' ; \
else \
package_gnu = '' ; \
fi ; \
2006-11-21 12:00:14 +01:00
if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@' PACKAGE_BUGREPORT'@' ; then \
msgid_bugs_address = '$(MSGID_BUGS_ADDRESS)' ; \
else \
msgid_bugs_address = '$(PACKAGE_BUGREPORT)' ; \
fi ; \
2008-02-15 10:58:01 +01:00
case ` $( XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,' ` in \
'' | 0.[ 0-9] | 0.[ 0-9] .* | 0.1[ 0-5] | 0.1[ 0-5] .* | 0.16 | 0.16.[ 0-1] *) \
$( XGETTEXT) --default-domain= $( DOMAIN) --directory= $( top_srcdir) \
--add-comments= TRANSLATORS: $( XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
--files-from= $( srcdir) /POTFILES.in \
--copyright-holder= '$(COPYRIGHT_HOLDER)' \
--msgid-bugs-address= " $$ msgid_bugs_address " \
; ; \
*) \
$( XGETTEXT) --default-domain= $( DOMAIN) --directory= $( top_srcdir) \
--add-comments= TRANSLATORS: $( XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
--files-from= $( srcdir) /POTFILES.in \
--copyright-holder= '$(COPYRIGHT_HOLDER)' \
--package-name= " $$ {package_gnu}@PACKAGE@ " \
--package-version= '@VERSION@' \
--msgid-bugs-address= " $$ msgid_bugs_address " \
; ; \
esac
2003-10-25 18:27:24 +02:00
test ! -f $( DOMAIN) .po || { \
if test -f $( srcdir) /$( DOMAIN) .pot; then \
sed -f remove-potcdate.sed < $( srcdir) /$( DOMAIN) .pot > $( DOMAIN) .1po && \
sed -f remove-potcdate.sed < $( DOMAIN) .po > $( DOMAIN) .2po && \
if cmp $( DOMAIN) .1po $( DOMAIN) .2po >/dev/null 2>& 1; then \
rm -f $( DOMAIN) .1po $( DOMAIN) .2po $( DOMAIN) .po; \
else \
rm -f $( DOMAIN) .1po $( DOMAIN) .2po $( srcdir) /$( DOMAIN) .pot && \
mv $( DOMAIN) .po $( srcdir) /$( DOMAIN) .pot; \
fi ; \
else \
mv $( DOMAIN) .po $( srcdir) /$( DOMAIN) .pot; \
fi ; \
}
# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
# every "make" invocation, only create it when it is missing.
# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
$(srcdir)/$(DOMAIN).pot :
$( MAKE) $( DOMAIN) .pot-update
# This target rebuilds a PO file if $(DOMAIN).pot has changed.
# Note that a PO file is not touched if it doesn't need to be changed.
$(POFILES) : $( srcdir ) /$( DOMAIN ) .pot
@lang= ` echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//' ` ; \
2004-07-27 17:12:00 +02:00
if test -f " $( srcdir) / $$ {lang}.po " ; then \
test " $( srcdir) " = . && cdcmd = "" || cdcmd = " cd $( srcdir) && " ; \
echo " $$ {cdcmd} $( MSGMERGE_UPDATE) $$ {lang}.po $( DOMAIN) .pot " ; \
cd $( srcdir) && $( MSGMERGE_UPDATE) $$ { lang} .po $( DOMAIN) .pot; \
else \
$( MAKE) $$ { lang} .po-create; \
fi
1998-01-26 23:09:01 +01:00
install : install -exec install -data
install-exec :
1998-02-26 17:56:31 +01:00
install-data : install -data -@USE_NLS @
2003-10-25 18:27:24 +02:00
if test " $( PACKAGE) " = "gettext-tools" ; then \
2006-11-21 12:00:14 +01:00
$( mkdir_p) $( DESTDIR) $( gettextsrcdir) ; \
2003-10-25 18:27:24 +02:00
for file in $( DISTFILES.common) Makevars.template; do \
$( INSTALL_DATA) $( srcdir) /$$ file \
$( DESTDIR) $( gettextsrcdir) /$$ file; \
done ; \
for file in Makevars; do \
rm -f $( DESTDIR) $( gettextsrcdir) /$$ file; \
done ; \
1998-02-26 17:56:31 +01:00
else \
2002-06-29 15:46:34 +02:00
: ; \
1998-02-26 17:56:31 +01:00
fi
2002-06-29 15:46:34 +02:00
install-data-no : all
install-data-yes : all
2006-11-21 12:00:14 +01:00
$( mkdir_p) $( DESTDIR) $( datadir)
1998-02-26 17:56:31 +01:00
@catalogs= '$(CATALOGS)' ; \
1998-01-26 23:09:01 +01:00
for cat in $$ catalogs; do \
1998-02-26 17:56:31 +01:00
cat = ` basename $$ cat` ; \
2003-10-25 18:27:24 +02:00
lang = ` echo $$ cat | sed -e 's/\.gmo$$//' ` ; \
2002-06-29 15:46:34 +02:00
dir = $( localedir) /$$ lang/LC_MESSAGES; \
2006-11-21 12:00:14 +01:00
$( mkdir_p) $( DESTDIR) $$ dir; \
2003-10-25 18:27:24 +02:00
if test -r $$ cat; then realcat = $$ cat; else realcat = $( srcdir) /$$ cat; fi ; \
$( INSTALL_DATA) $$ realcat $( DESTDIR) $$ dir/$( DOMAIN) .mo; \
echo " installing $$ realcat as $( DESTDIR) $$ dir/ $( DOMAIN) .mo " ; \
for lc in '' $( EXTRA_LOCALE_CATEGORIES) ; do \
if test -n " $$ lc " ; then \
if ( cd $( DESTDIR) $( localedir) /$$ lang && LC_ALL = C ls -l -d $$ lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
link = ` cd $( DESTDIR) $( localedir) /$$ lang && LC_ALL = C ls -l -d $$ lc | sed -e 's/^.* -> //' ` ; \
mv $( DESTDIR) $( localedir) /$$ lang/$$ lc $( DESTDIR) $( localedir) /$$ lang/$$ lc.old; \
mkdir $( DESTDIR) $( localedir) /$$ lang/$$ lc; \
( cd $( DESTDIR) $( localedir) /$$ lang/$$ lc.old && \
for file in *; do \
if test -f $$ file; then \
ln -s ../$$ link/$$ file $( DESTDIR) $( localedir) /$$ lang/$$ lc/$$ file; \
fi ; \
done ) ; \
rm -f $( DESTDIR) $( localedir) /$$ lang/$$ lc.old; \
else \
if test -d $( DESTDIR) $( localedir) /$$ lang/$$ lc; then \
:; \
else \
rm -f $( DESTDIR) $( localedir) /$$ lang/$$ lc; \
mkdir $( DESTDIR) $( localedir) /$$ lang/$$ lc; \
fi ; \
fi ; \
rm -f $( DESTDIR) $( localedir) /$$ lang/$$ lc/$( DOMAIN) .mo; \
ln -s ../LC_MESSAGES/$( DOMAIN) .mo $( DESTDIR) $( localedir) /$$ lang/$$ lc/$( DOMAIN) .mo 2>/dev/null || \
ln $( DESTDIR) $( localedir) /$$ lang/LC_MESSAGES/$( DOMAIN) .mo $( DESTDIR) $( localedir) /$$ lang/$$ lc/$( DOMAIN) .mo 2>/dev/null || \
cp -p $( DESTDIR) $( localedir) /$$ lang/LC_MESSAGES/$( DOMAIN) .mo $( DESTDIR) $( localedir) /$$ lang/$$ lc/$( DOMAIN) .mo; \
echo " installing $$ realcat link as $( DESTDIR) $( localedir) / $$ lang/ $$ lc/ $( DOMAIN) .mo " ; \
fi ; \
done ; \
1998-01-26 23:09:01 +01:00
done
2003-10-25 18:27:24 +02:00
install-strip : install
1998-01-26 23:09:01 +01:00
2003-10-25 18:27:24 +02:00
installdirs : installdirs -exec installdirs -data
installdirs-exec :
installdirs-data : installdirs -data -@USE_NLS @
if test " $( PACKAGE) " = "gettext-tools" ; then \
2006-11-21 12:00:14 +01:00
$( mkdir_p) $( DESTDIR) $( gettextsrcdir) ; \
2003-10-25 18:27:24 +02:00
else \
: ; \
fi
installdirs-data-no :
installdirs-data-yes :
2006-11-21 12:00:14 +01:00
$( mkdir_p) $( DESTDIR) $( datadir)
2003-10-25 18:27:24 +02:00
@catalogs= '$(CATALOGS)' ; \
1998-01-26 23:09:01 +01:00
for cat in $$ catalogs; do \
1998-02-26 17:56:31 +01:00
cat = ` basename $$ cat` ; \
2003-10-25 18:27:24 +02:00
lang = ` echo $$ cat | sed -e 's/\.gmo$$//' ` ; \
dir = $( localedir) /$$ lang/LC_MESSAGES; \
2006-11-21 12:00:14 +01:00
$( mkdir_p) $( DESTDIR) $$ dir; \
2003-10-25 18:27:24 +02:00
for lc in '' $( EXTRA_LOCALE_CATEGORIES) ; do \
if test -n " $$ lc " ; then \
if ( cd $( DESTDIR) $( localedir) /$$ lang && LC_ALL = C ls -l -d $$ lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
link = ` cd $( DESTDIR) $( localedir) /$$ lang && LC_ALL = C ls -l -d $$ lc | sed -e 's/^.* -> //' ` ; \
mv $( DESTDIR) $( localedir) /$$ lang/$$ lc $( DESTDIR) $( localedir) /$$ lang/$$ lc.old; \
mkdir $( DESTDIR) $( localedir) /$$ lang/$$ lc; \
( cd $( DESTDIR) $( localedir) /$$ lang/$$ lc.old && \
for file in *; do \
if test -f $$ file; then \
ln -s ../$$ link/$$ file $( DESTDIR) $( localedir) /$$ lang/$$ lc/$$ file; \
fi ; \
done ) ; \
rm -f $( DESTDIR) $( localedir) /$$ lang/$$ lc.old; \
else \
if test -d $( DESTDIR) $( localedir) /$$ lang/$$ lc; then \
:; \
else \
rm -f $( DESTDIR) $( localedir) /$$ lang/$$ lc; \
mkdir $( DESTDIR) $( localedir) /$$ lang/$$ lc; \
fi ; \
fi ; \
fi ; \
done ; \
1998-01-26 23:09:01 +01:00
done
2003-10-25 18:27:24 +02:00
# Define this as empty until I found a useful application.
installcheck :
uninstall : uninstall -exec uninstall -data
uninstall-exec :
uninstall-data : uninstall -data -@USE_NLS @
if test " $( PACKAGE) " = "gettext-tools" ; then \
for file in $( DISTFILES.common) Makevars.template; do \
rm -f $( DESTDIR) $( gettextsrcdir) /$$ file; \
done ; \
2002-06-29 15:46:34 +02:00
else \
: ; \
fi
2003-10-25 18:27:24 +02:00
uninstall-data-no :
uninstall-data-yes :
catalogs = '$(CATALOGS)' ; \
for cat in $$ catalogs; do \
cat = ` basename $$ cat` ; \
lang = ` echo $$ cat | sed -e 's/\.gmo$$//' ` ; \
for lc in LC_MESSAGES $( EXTRA_LOCALE_CATEGORIES) ; do \
rm -f $( DESTDIR) $( localedir) /$$ lang/$$ lc/$( DOMAIN) .mo; \
done ; \
done
1998-01-26 23:09:01 +01:00
check : all
2003-10-25 18:27:24 +02:00
info dvi ps pdf html tags TAGS ctags CTAGS ID :
1998-01-26 23:09:01 +01:00
mostlyclean :
2003-10-25 18:27:24 +02:00
rm -f remove-potcdate.sed
rm -f stamp-poT
rm -f core core.* $( DOMAIN) .po $( DOMAIN) .1po $( DOMAIN) .2po *.new.po
1998-02-26 17:56:31 +01:00
rm -fr *.o
1998-01-26 23:09:01 +01:00
clean : mostlyclean
distclean : clean
2002-06-29 15:46:34 +02:00
rm -f Makefile Makefile.in POTFILES *.mo
1998-01-26 23:09:01 +01:00
maintainer-clean : distclean
@echo "This command is intended for maintainers to use;"
@echo "it deletes files that may require special tools to rebuild."
2003-10-25 18:27:24 +02:00
rm -f stamp-po $( GMOFILES)
2002-06-29 15:46:34 +02:00
distdir = $( top_builddir) /$( PACKAGE) -$( VERSION) /$( subdir)
dist distdir :
$( MAKE) update-po
@$( MAKE) dist2
# This is a separate target because 'update-po' must be executed before.
2006-11-21 12:00:14 +01:00
dist2 : stamp -po $( DISTFILES )
1998-02-26 17:56:31 +01:00
dists = " $( DISTFILES) " ; \
2003-10-25 18:27:24 +02:00
if test " $( PACKAGE) " = "gettext-tools" ; then \
dists = " $$ dists Makevars.template " ; \
fi ; \
2006-11-21 12:00:14 +01:00
if test -f $( srcdir) /$( DOMAIN) .pot; then \
dists = " $$ dists $( DOMAIN) .pot stamp-po " ; \
fi ; \
2003-10-25 18:27:24 +02:00
if test -f $( srcdir) /ChangeLog; then \
dists = " $$ dists ChangeLog " ; \
fi ; \
for i in 0 1 2 3 4 5 6 7 8 9; do \
if test -f $( srcdir) /ChangeLog.$$ i; then \
dists = " $$ dists ChangeLog. $$ i " ; \
fi ; \
done ; \
if test -f $( srcdir) /LINGUAS; then dists = " $$ dists LINGUAS " ; fi ; \
1998-02-26 17:56:31 +01:00
for file in $$ dists; do \
2003-10-25 18:27:24 +02:00
if test -f $$ file; then \
2006-11-21 12:00:14 +01:00
cp -p $$ file $( distdir) || exit 1; \
2003-10-25 18:27:24 +02:00
else \
2006-11-21 12:00:14 +01:00
cp -p $( srcdir) /$$ file $( distdir) || exit 1; \
2003-10-25 18:27:24 +02:00
fi ; \
1998-01-26 23:09:01 +01:00
done
update-po : Makefile
2003-10-25 18:27:24 +02:00
$( MAKE) $( DOMAIN) .pot-update
test -z " $( UPDATEPOFILES) " || $( MAKE) $( UPDATEPOFILES)
$( MAKE) update-gmo
2004-07-27 17:12:00 +02:00
# General rule for creating PO files.
.nop.po-create :
@lang= ` echo $@ | sed -e 's/\.po-create$$//' ` ; \
echo " File $$ lang.po does not exist. If you are a translator, you can create it through 'msginit'. " 1>& 2; \
exit 1
2003-10-25 18:27:24 +02:00
# General rule for updating PO files.
.nop.po-update :
@lang= ` echo $@ | sed -e 's/\.po-update$$//' ` ; \
if test " $( PACKAGE) " = "gettext-tools" ; then PATH = ` pwd ` /../src:$$ PATH; fi ; \
tmpdir = ` pwd ` ; \
echo " $$ lang: " ; \
test " $( srcdir) " = . && cdcmd = "" || cdcmd = " cd $( srcdir) && " ; \
echo " $$ {cdcmd} $( MSGMERGE) $$ lang.po $( DOMAIN) .pot -o $$ lang.new.po " ; \
1998-01-26 23:09:01 +01:00
cd $( srcdir) ; \
2003-10-25 18:27:24 +02:00
if $( MSGMERGE) $$ lang.po $( DOMAIN) .pot -o $$ tmpdir/$$ lang.new.po; then \
if cmp $$ lang.po $$ tmpdir/$$ lang.new.po >/dev/null 2>& 1; then \
rm -f $$ tmpdir/$$ lang.new.po; \
1998-01-26 23:09:01 +01:00
else \
2003-10-25 18:27:24 +02:00
if mv -f $$ tmpdir/$$ lang.new.po $$ lang.po; then \
:; \
else \
echo " msgmerge for $$ lang.po failed: cannot move $$ tmpdir/ $$ lang.new.po to $$ lang.po " 1>& 2; \
exit 1; \
fi ; \
1998-01-26 23:09:01 +01:00
fi ; \
2003-10-25 18:27:24 +02:00
else \
echo " msgmerge for $$ lang.po failed! " 1>& 2; \
rm -f $$ tmpdir/$$ lang.new.po; \
fi
$(DUMMYPOFILES) :
1998-01-26 23:09:01 +01:00
2002-06-29 15:46:34 +02:00
update-gmo : Makefile $( GMOFILES )
@:
2006-11-21 12:00:14 +01:00
Makefile : Makefile .in .in Makevars $( top_builddir ) /config .status @POMAKEFILEDEPS @
2002-06-29 15:46:34 +02:00
cd $( top_builddir) \
2006-11-21 12:00:14 +01:00
&& $( SHELL) ./config.status $( subdir) /$@ .in po-directories
1998-01-26 23:09:01 +01:00
2003-10-25 18:27:24 +02:00
force :
1998-01-26 23:09:01 +01:00
# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT :